Bug 11772 - Show warning on About page:System information if no active currency is defined
Summary: Show warning on About page:System information if no active currency is defined
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff interface (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-15 14:58 UTC by Marc Véron
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11772 - Show warning on About page:System information if no active currency is defined (3.32 KB, patch)
2014-02-15 15:34 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 11772 - Show warning on About page:System information if no active currency is defined (3.37 KB, patch)
2014-02-16 04:51 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 11772 - Show warning on About page:System information if no active currency is defined (3.44 KB, patch)
2014-02-17 11:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2014-02-15 14:58:51 UTC
Having no active currency defined can lead to unexpected behaviour or crash (e.g. in SCO). There should be a general warning on About page (Warnings regarding the system configuration).
BTW: Bug 3970 introduced such warning on budget admin pages and currency admin page.
Comment 1 Marc Véron 2014-02-15 15:34:09 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2014-02-16 04:51:48 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2014-02-17 11:34:03 UTC
Created attachment 25346 [details] [review]
Bug 11772 - Show warning on About page:System information if no active currency is defined

    Bug 11772 - Show warning on About page:System information if no active currency is defined

    This patch displays a warning on the About page when no active currency is defined.

    Test plan:
    1)
    Make sure that no currency is defined as active
    (Home › Administration › Currencies & Exchange rates › Currencies)
    2)
    Go to Home › About Koha > System information
    Result: No warning issued.
    3)
    Applay patch and reload About page
    Result: Warning issued.

    Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
    Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Galen Charlton 2014-02-18 21:01:51 UTC
Pushed to master, along with a follow-up that makes the warning be a link to the currency admin page.  Thanks, Marc!
Comment 5 Fridolin Somers 2014-06-03 12:37:01 UTC
Pushed to 3.14.x, will be in 3.14.08
Comment 6 Kyle M Hall 2014-06-06 13:58:18 UTC
Pushed to 3.12.x will be in 3.12.13